<?php
require_once "../functions.php";
if (comprobar_override(str_replace($_SERVER['DOCUMENT_ROOT'], '', __FILE__)))
    exit;
if (!isset($_POST['nombre']) || !isset($_POST['fecha_inicio']) || !isset($_POST['fecha_fin']))
    exit;
$nombre = filter_input(INPUT_POST, 'nombre', FILTER_SANITIZE_SPECIAL_CHARS);

$fecha_inicio = filter_input(INPUT_POST, 'fecha_inicio', FILTER_SANITIZE_SPECIAL_CHARS);
/*$valido_f_ini = preg_match('#^(\d{1,2})/(\d{1,2})/(\d{4})$#', $fecha_inicio, $m)
    && checkdate((int)$m[2], (int)$m[1], (int)$m[3]);*/

$fecha_fin = filter_input(INPUT_POST, 'fecha_fin', FILTER_SANITIZE_SPECIAL_CHARS);
/*$valido_f_fin = preg_match('#^(\d{1,2})/(\d{1,2})/(\d{4})$#', $fecha_fin, $m)
    && checkdate((int)$m[2], (int)$m[1], (int)$m[3]);

if (!$valido_f_ini || !$valido_f_fin) exit;*/

$fecha = date('Y-m-d');

$id_motivo = filter_input(INPUT_POST, 'id_motivo', FILTER_SANITIZE_NUMBER_INT);
$id_motivo = ($id_motivo == "") ? null : $id_motivo;

if (session_status() !== PHP_SESSION_ACTIVE)
    session_start();
consulta('DELETE FROM `filtro_busqueda` WHERE id_usuario=?', [$_SESSION['id_usuario']], false);

if (
    consulta(
        'INSERT INTO `filtro_busqueda`(`nombre`, `id_usuario`,`fecha_inicio`, `fecha_fin`, `fecha`, `id_motivo`) VALUES (?,?,?,?,?,?);',
        [$nombre, $_SESSION['id_usuario'], $fecha_inicio, $fecha_fin, $fecha, $id_motivo],
        false
    )
) {
    crear_notificacion('correcto', 'Filtro de búsqueda guardado');
}
